Update Brazil Counterparty
This endpoint updates an existing Brazil counterparty.
Authorization:
bearer
HTTP: bearer
HTTP Authorization Scheme: bearer
Headers:
Authorization: APIKey {YOUR_API_KEY}
Endpoint
PUT
/api/v2/banking/counterparties/br/{id}
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | string (uuid) | Required. The counterparty ID to update. |
Request Body Sample
{
"counterpartyName": "Pedro Silva Updated",
"address": {
"address1": "Av. Paulista 1000",
"city": "Rio de Janeiro",
"state": "RJ",
"postalCode": "20040-020",
"country": "BR"
},
"pixKey": "pedro.updated@example.com",
"pixKeyType": "EMAIL",
"type": "individual",
"bankAddress": {
"address1": "Av. Paulista 1374",
"city": "Sao Paulo",
"state": "SP",
"postalCode": "01310-100",
"country": "BR"
}
}
Request Body Schema
| Field | Type | Description |
|---|---|---|
counterpartyName | string | Required. Counterparty name. Min 2, max 255 characters. |
address | object | Required. Counterparty's address. |
pixKey | string | Required. PIX key value. 1-255 characters. |
pixKeyType | string | Required. PIX key type. Values: CPF, CNPJ, PHONE, EMAIL, EVP. |
type | string | Optional. Counterparty type. Values: individual, business. |
bankAddress | object | Required. Bank's address. Same schema as address. |
Response Sample
{
"id": "00000000-0000-0000-0000-000000000000",
"accountId": "00000000-0000-0000-0000-000000000000",
"reference": "BR-VENDOR-001",
"currency": "BRL",
"counterpartyName": "Pedro Silva Updated",
"address": {
"address1": "Av. Paulista 1000",
"city": "Rio de Janeiro",
"state": "RJ",
"postalCode": "20040-020",
"country": "BR"
},
"pixKey": "pedro.updated@example.com",
"pixKeyType": "EMAIL",
"type": "individual",
"bankAddress": {
"address1": "Av. Paulista 1374",
"city": "Sao Paulo",
"state": "SP",
"postalCode": "01310-100",
"country": "BR"
},
"status": "active",
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-02T00:00:00Z"
}
Support and Resources
If you need assistance or have any questions, our support team is here to help. You can contact our support team at support@blockwyre.com.
Stay Updated
Stay up-to-date with the latest news, updates, and features from BlockWyre by following us on social media:
- Instagram: BlockWyre Instagram
- Twitter: BlockWyre Twitter
- Facebook: BlockWyre Facebook
- LinkedIn: BlockWyre LinkedIn
We are excited to have you on board and look forward to seeing how you leverage BlockWyre's powerful tools to enhance your financial operations. Happy integrating!